<div class="grid">

	<header class="row no-padding clearfix">
		<div class="col-2-3"><h2>Abonnemang</h2></div>

		<button class="col-1-3 new" ng-click="subscription.editing = true" ng-hide="subscription.editing">
			<span class="edit"><i class="fa fa-pencil-square-o"></i>Ändra</span></button>

	</header>
	<div svab-feedback-target="subscriptions.single.get"></div>

	<div class="row clearfix listing">
		<section ng-hide="subscription.editing">
			<div class="col-1-2">
				<ul class="regular-list">
					<li>
						<strong class="list-title">Kontaktperson</strong>
					</li>
					<li>
						<strong class="list-title">Namn:</strong>
						<span class="list-value">{{subscription.firstName}} {{subscription.lastName}}</span>
					</li>
					<li>
						<strong class="list-title">Telefonnummer:</strong>
						<span class="list-value">{{subscription.contactDetails.phoneNumber}}</span>
					</li>
					<li>
						<strong class="list-title">Email:</strong>
						<span class="list-value"><a href="mailto:{{subscription.contactDetails.email}}">{{subscription.contactDetails.email}}</a></span>
					</li>
					<br/>
					<li>
						<strong class="list-title">Abonnemangsperiod:</strong>
						<span class="list-value">{{subscription.fromDate}} - {{subscription.toDate}}</span>
					</li>
					<li>
						<strong class="list-title">Abonnemangstyp:</strong>
						<span class="list-value" ng-show="subscription.serviceTypeId == 2">Premium</span>
						<span class="list-value" ng-show="subscription.serviceTypeId == 1">Bas</span>
					</li>

				</ul>
			</div>
		</section>


		<section ng-show="subscription.editing">
			<div class="col-1">
				<form name="subscriptionForm" novalidate>
					<div svab-feedback-target="subscriptions.update"></div>
					<fieldset>
						<legend >Kontaktuppgifter</legend>
						<div class="col-1">
							<p><label>Förnamn</label>
								<input type="text" name="firstName" ng-model="subscription.firstName" placeholder="Förnamn" required/>
							</p>

							<div ng-messages="subscriptionForm.firstName.$error" ng-show="subscriptionForm.firstName.$touched">
								<p class="form-feedback error" ng-message="required">Ange förnamn</p>
							</div>
						</div>
						<div class="col-1">
							<p><label>Efternamn</label>
								<input type="text" name="lastName" ng-model="subscription.lastName" placeholder="Efternamn" required/>
							</p>

							<div ng-messages="subscriptionForm.lastName.$error" ng-show="subscriptionForm.lastName.$touched">
								<p class="form-feedback error" ng-message="required">Ange efternamn</p>
							</div>
						</div>

						<div class="col-1">
							<p><label>Telefonnummer</label>
								<input type="text"
								       name="contactDetailsPhoneNumber"
								       ng-model="subscription.contactDetails.phoneNumber"
								       placeholder="Telefonnummer"
								       required/>
							</p>

							<div ng-messages="subscriptionForm.contactDetailsPhoneNumber.$error" ng-show="subscriptionForm.contactDetailsPhoneNumber.$touched">
								<p class="form-feedback error" ng-message="required">Ange telefonnummer</p>
							</div>
						</div>
						<div class="col-1">
							<p><label>Email</label>
								<input type="email" name="contactDetailsEmail" ng-model="subscription.contactDetails.email" placeholder="Email" required/>
							</p>

							<div ng-messages="subscriptionForm.contactDetailsEmail.$error" ng-show="subscriptionForm.contactDetailsEmail.$touched">
								<p class="form-feedback error" ng-message="required">Ange email</p>
								<p class="form-feedback error" ng-message="email">Ange en giltig email</p>
							</div>
						</div>
					</fieldset>
					<p class="col-1-2">
						<button class="" type="submit" ng-click="undoEdit(subscription, subscriptionForm)">Ångra</button>
					</p>
					<p class="col-1-2">
						<button class="update" type="submit" ng-click="updateSubscription(subscription, subscriptionForm)">Spara</button>
					</p>
				</form>
			</div>
		</section>

	</div>
</div>
